Bug 24907 - Optionally exclude suspended holds from holds ratio report
Summary: Optionally exclude suspended holds from holds ratio report
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24953
  Show dependency treegraph
 
Reported: 2020-03-19 13:31 UTC by Nick Clemens
Modified: 2020-04-03 21:42 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24907: Add 'include suspended' to holds ratio report (3.03 KB, patch)
2020-03-19 13:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24907: Add 'include suspended' to holds ratio report (3.08 KB, patch)
2020-03-19 23:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24907: Add 'include suspended' to holds ratio report (3.14 KB, patch)
2020-03-22 12:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-03-19 13:31:18 UTC

    
Comment 1 Nick Clemens 2020-03-19 13:55:28 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-03-19 23:45:24 UTC
Created attachment 101062 [details] [review]
Bug 24907: Add 'include suspended' to holds ratio report

Some libraries would like the option to ignore suspended holds when using the holds
ratio report

Note: this report fails with strict mode enabled, please disable to test

To test:
1 - Add enough holds to a record (3) to make it show on the holds ration report
2 - Browse to Circulation->Holds ratio
3 - Run with default settings and confirm the title shows up
4 - Suspend one of the holds
5 - Run report again and confirm title still shows
6 - Apply patch
7 - Reload the report
8 - Note new option
9 - Run report - title does not show
10 - Lower ratio to 2 and confirm the hold shows

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-03-22 12:46:26 UTC
Created attachment 101362 [details] [review]
Bug 24907: Add 'include suspended' to holds ratio report

Some libraries would like the option to ignore suspended holds when using the holds
ratio report

Note: this report fails with strict mode enabled, please disable to test

To test:
1 - Add enough holds to a record (3) to make it show on the holds ration report
2 - Browse to Circulation->Holds ratio
3 - Run with default settings and confirm the title shows up
4 - Suspend one of the holds
5 - Run report again and confirm title still shows
6 - Apply patch
7 - Reload the report
8 - Note new option
9 - Run report - title does not show
10 - Lower ratio to 2 and confirm the hold shows

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-03-22 12:47:42 UTC
This follows the existing pattern so I think a slight behaviour change is ok in that case (default is now to exclude suspended holds).

Wondering if on a separate report we could reformat the checkboxes:
[checkbox] Text

And maybe:
Include instead of included?
Comment 5 Martin Renvoize 2020-03-24 11:05:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 21:42:48 UTC
enhancement not backported to 19.11.x